%define fw_version 5.41

Summary:	KDE Frameworks 5 module used to install and load non-binary packages
Name:		kpackage
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 module used to install and load non-binary packages.

The Package framework lets the user to install and load packages of non-binary
content such as scripted extensions or graphic assets, as they were traditional
plugins.

%files
%{_kde5_bindir}/kpackagetool5
%{_kde5_mandir}/man1/kpackagetool5.1*
%{_kde5_servicetypes}/kpackage-generic.desktop
%{_kde5_servicetypes}/kpackage-genericqml.desktop
%{_kde5_servicetypes}/kpackage-packagestructure.desktop

#----------------------------------------------------------------------------

%package i18n
Summary:	KPackage translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KPackage translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5package_major 5
%define libkf5package %mklibname kf5package %{kf5package_major}

%package -n %{libkf5package}
Summary:	KDE Frameworks 5 package management shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5package}
KDE Frameworks 5 package management shared library.

%files -n %{libkf5package}
%{_kde5_libdir}/libKF5Package.so.%{kf5package_major}*

#----------------------------------------------------------------------------

%define devkf5package %mklibname kf5package -d

%package -n %{devkf5package}
Summary:	Development files for KDE Frameworks 5 package management module
Group:		Development/KDE and Qt
Requires:	%{libkf5package} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5package-devel = %{version}

%description -n %{devkf5package}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5package}
%{_kde5_includedir}/KF5/KPackage
%{_kde5_includedir}/KF5/kpackage_version.h
%{_kde5_libdir}/cmake/KF5Package
%{_kde5_libdir}/libKF5Package.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (e1c5ba8) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (3e08f61) Update files
- (Andrey Bondrov: f0ceb34) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (ab4209b) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (c152458) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (21c58d1) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (90c41c9) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (be5e149) Add kpackage-generic.desktop servicetype to files and change KF5 BRs format
- (Andrey Bondrov: 4169b7c) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (0f55a3f) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (f994975) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b50ac21) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (afc7f4b) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (e95d25b) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (8242d94) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (2810d5f) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (b1c1c83) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (5867820) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (d617563) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (00860b1) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (72f8efd) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (bbecd22) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (6aab64d) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (6d3b878) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (b6a6c74) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (c6235b0) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (db1f585) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (e605c0f) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (de27475) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (87501f0) New version 5.8.0


